petsc-3.15.0 2021-03-30
Report Typos and Errors

# MatScaLAPACKSetBlockSizes

Sets the block sizes to be used for the distibution of the ScaLAPACK matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatScaLAPACKSetBlockSizes(Mat A,PetscInt mb,PetscInt nb)

Logically Collective on A

### Input Parameter

| A | - a MATSCALAPACK matrix
| mb | - the row block size
| nb | - the column block size

### See Also

MatCreateScaLAPACK(), MatScaLAPACKGetBlockSizes()

### Level

intermediate

### Location

src/mat/impls/scalapack/matscalapack.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages